MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
LogInit.hxx File Reference

Go to the source code of this file.

## Functions
void | log_early_init (bool verbose)
| Configure a logging destination for daemon startup, before the configuration file is read. More...
void | log_init (bool verbose, bool use_stdout)
| Throws #std::runtime_error on error. More...
void | log_deinit ()
void | setup_log_output ()
int | cycle_log_files ()

## Function Documentation

int cycle_log_files | ( |  | ) |

void log_deinit | ( |  | ) |

void log_early_init | ( | bool | verbose | ) |

Configure a logging destination for daemon startup, before the configuration file is read.

This allows the daemon to use the logging library (and the command line verbose level) before it's daemonized.

Parameters

  verbose | true when the program is started with –verbose

void log_init | ( | bool | verbose,
|  | bool | use_stdout
| ) |  |

Throws #std::runtime_error on error.

void setup_log_output | ( |  | ) |